Name | Type | Default |
allowNull
|
Boolean
|
true
|
Determines whether the widget's value could be null.
<template> <JqxNumberInput ref="myNumberInput" :allowNull="false" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
decimal
|
Number
|
0
|
Sets or gets the input's number.
<template> <JqxNumberInput ref="myNumberInput" :decimal="2" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
disabled
|
Boolean
|
false
|
Determines whether jqxNumberInput is disabled.
<template> <JqxNumberInput ref="myNumberInput" :disabled="true" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
decimalDigits
|
Number
|
2
|
Indicates the number of decimal places to use in numeric values.
<template> <JqxNumberInput ref="myNumberInput" :decimalDigits="3" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
decimalSeparator
|
String
|
'.'
|
Sets or gets the char to use as the decimal separator in numeric values.
<template> <JqxNumberInput ref="myNumberInput" :decimalSeparator="','" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
digits
|
Number
|
8
|
Sets or gets the digits in the input
<template> <JqxNumberInput ref="myNumberInput" :digits="8" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
groupSeparator
|
String
|
','
|
Sets or gets the string that separates groups of digits to the left of the decimal in numeric values.
<template> <JqxNumberInput ref="myNumberInput" :groupSeparator="'.'" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
groupSize
|
Number
|
3
|
Sets or gets the number of digits in each group to the left of the decimal in numeric values.
<template> <JqxNumberInput ref="myNumberInput" :groupSize="2" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
height
|
Number | String
|
null
|
Sets or gets the height of the input in pixels.
<template> <JqxNumberInput ref="myNumberInput" :height="25" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
inputMode
|
String
|
'advanced'
|
Sets or gets the input's mode.
Possible Values:
'advanced'- the number input behavior resembles a masked input with numeric mask
'simple'-the widget works as a normal textbox, but restricts the user's input to numbers
<template> <JqxNumberInput ref="myNumberInput" :inputMode="'simple'" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
min
|
Number
|
-99999999
|
Sets or gets the input's minimum value.
<template> <JqxNumberInput ref="myNumberInput" :min="2" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
max
|
Number
|
99999999
|
Sets or gets the input's maximum value.
<template> <JqxNumberInput ref="myNumberInput" :max="50" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
negativeSymbol
|
String
|
'-'
|
Sets or gets the string to use as negative symbol.
<template> <JqxNumberInput ref="myNumberInput" :negativeSymbol="'-'" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
placeHolder
|
String
|
""
|
Determines the widget's place holder displayed when the widget's value is null.
<template> <JqxNumberInput ref="myNumberInput" :placeHolder="'Null Value'" /> </template> <script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue'; export default { components: { JqxNumberInput }, mounted: function () { this.$refs.myNumberInput.val(null);
|
promptChar
|
String
|
-
|
Sets or gets the prompt char displayed when an editable char is empty.
Possible Values:
'_'
'?'
';'
'#'
<template> <JqxNumberInput ref="myNumberInput" :promptChar="'#'" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxNumberInput ref="myNumberInput" :rtl="true" :spinButtons="true" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
readOnly
|
Boolean
|
false
|
Sets or gets the readOnly state of the input.
<template> <JqxNumberInput ref="myNumberInput" :readOnly="true" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
spinMode
|
String
|
'advanced'
|
Sets or gets the spin mode.
Possible Values:
'advanced'- the value is increased depending on the caret's position
'simple'-pecifies that the spin behavior is disabled
<template> <JqxNumberInput ref="myNumberInput" :spinButtons="true" :spinMode="'simple'" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
spinButtons
|
Boolean
|
false
|
Shows or hides the spin buttons.
<template> <JqxNumberInput ref="myNumberInput" :spinButtons="true" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
spinButtonsWidth
|
Number
|
18
|
Sets or gets the width of the spin buttons.
<template> <JqxNumberInput ref="myNumberInput" :spinButtons="true" :spinButtonsWidth="30" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
spinButtonsStep
|
Number
|
1
|
Sets or gets the increase/decrease step.
<template> <JqxNumberInput ref="myNumberInput" :spinButtons="true" :spinButtonsStep="10" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
symbol
|
String
|
''
|
Sets or gets the string to use as currency or percentage symbol.
<template> <JqxNumberInput ref="myNumberInput" :symbol="'$'" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
symbolPosition
|
String
|
'left'
|
Sets or gets the position of the symbol in the input.
Possible Values:
'left'
'right'
<template> <JqxNumberInput ref="myNumberInput" :symbol="'@'" :symbolPosition="'right'" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
textAlign
|
String
|
'right'
|
Sets or gets the alignment.
<template> <JqxNumberInput ref="myNumberInput" :textAlign="'left'" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
template
|
String
|
'default'
|
Determines the template as an alternative of the default styles.
Possible Values:
'default' - the default template. The style depends only on the "theme" property value.
'primary' - dark blue style for extra visual weight.
'success' - green style for successful or positive action.
'warning' - orange style which indicates caution.
'danger' - red style which indicates a dangerous or negative action.
'info' - blue button, not tied to a semantic action or use.
<template> <JqxNumberInput ref="myNumberInput" :spinButtons="true" :template="'success'" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxNumberInput ref="myNumberInput" :theme="'material'" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
value
|
Number
|
null
|
<template> <JqxNumberInput ref="myNumberInput" :value="100" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
width
|
Number | String
|
null
|
Sets or gets the width of the input in pixels. Only positive values have effect.
<template> <JqxNumberInput ref="myNumberInput" :width="250" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue';
|
|
change
|
Event
|
|
This event is triggered when the value is changed and the control's focus is lost.
Code examples
Bind to the change event of jqxNumberInput.
<template> <JqxNumberInput ref="myNumberInput" @change="onChange($event)" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue'; export default { components: { JqxNumberInput }, methods: { onChange: function (event) { alert( 'do something...');
|
textchanged
|
Event
|
|
This event is triggered when the user entered entered a text.
Code examples
Bind to the textchanged event of jqxNumberInput.
<template> <JqxNumberInput ref="myNumberInput" @textchanged="onTextchanged($event)" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue'; export default { components: { JqxNumberInput }, methods: { onTextchanged: function (event) { alert( 'do something...');
|
valueChanged
|
Event
|
|
This event is triggered after value is changed.
Code examples
Bind to the valueChanged event of jqxNumberInput.
<template> <JqxNumberInput ref="myNumberInput" @valueChanged="onValueChanged($event)" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue'; export default { components: { JqxNumberInput }, methods: { onValueChanged: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
clear
|
None
|
None
|
Clears the value.
<template> <JqxNumberInput ref="myNumberInput" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue'; export default { components: { JqxNumberInput }, mounted: function () { this.$refs.myNumberInput.decimal = 200; this.$refs.myNumberInput.clear();
|
destroy
|
None
|
None
|
Destroys the widget.
<template> <JqxNumberInput ref="myNumberInput" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue'; export default { components: { JqxNumberInput }, mounted: function () { this.$refs.myNumberInput.destroy();
|
focus
|
None
|
None
|
Focuses the widget.
<template> <JqxNumberInput ref="myNumberInput" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue'; export default { components: { JqxNumberInput }, mounted: function () { this.$refs.myNumberInput.focus();
|
getDecimal
|
None
|
Number
|
Gets the value.
<template> <JqxNumberInput ref="myNumberInput" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue'; export default { components: { JqxNumberInput }, mounted: function () { this.$refs.myNumberInput.decimal = 200; const value = this.$refs.myNumberInput.getDecimal();
|
setDecimal
|
index
|
None
|
Sets the value.
<template> <JqxNumberInput ref="myNumberInput" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue'; export default { components: { JqxNumberInput }, mounted: function () { this.$refs.myNumberInput.setDecimal(200);
|
val
|
value
|
Number
|
Sets or gets the value.
<template> <JqxNumberInput ref="myNumberInput" /> </template>
<script> import JqxNumberInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue'; export default { components: { JqxNumberInput }, mounted: function () { const value = this.$refs.myNumberInput.val();
|

Name | Type | Default |
allowNull
|
boolean
|
true
|
Determines whether the widget's value could be null.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} allowNull={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
decimal
|
number | string
|
0
|
Sets or gets the input's number.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} decimal={2} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Determines whether jqxNumberInput is disabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} disabled={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
decimalDigits
|
number | string
|
2
|
Indicates the number of decimal places to use in numeric values.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} decimalDigits={3} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
decimalSeparator
|
number | string
|
'.'
|
Sets or gets the char to use as the decimal separator in numeric values.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} decimalSeparator={ ','} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
digits
|
number | string
|
8
|
Sets or gets the digits in the input
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} digits={8} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
groupSeparator
|
string
|
','
|
Sets or gets the string that separates groups of digits to the left of the decimal in numeric values.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} groupSeparator={ '.'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
groupSize
|
number | string
|
3
|
Sets or gets the number of digits in each group to the left of the decimal in numeric values.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} groupSize={2} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
null
|
Sets or gets the height of the input in pixels.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} height={25} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
inputMode
|
NumberInputMode
|
'advanced'
|
NumberInputMode: "advanced" | "simple"
Sets or gets the input's mode.
Possible Values:
'advanced'- the number input behavior resembles a masked input with numeric mask
'simple'-the widget works as a normal textbox, but restricts the user's input to numbers
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} inputMode={ 'simple'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
min
|
number | string
|
-99999999
|
Sets or gets the input's minimum value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} min={2} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
max
|
number | string
|
99999999
|
Sets or gets the input's maximum value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} max={50} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
negativeSymbol
|
string
|
'-'
|
Sets or gets the string to use as negative symbol.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} negativeSymbol={ '-'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
placeHolder
|
number | string
|
""
|
Determines the widget's place holder displayed when the widget's value is null.
|
promptChar
|
NumberInputPromptChar
|
-
|
NumberInputPromptChar: "_" | "?" | ";" | "#"
Sets or gets the prompt char displayed when an editable char is empty.
Possible Values:
'_'
'?'
';'
'#'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} promptChar={ '#'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} rtl={true} spinButtons={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
readOnly
|
boolean
|
false
|
Sets or gets the readOnly state of the input.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} readOnly={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
spinMode
|
NumberInputMode
|
'advanced'
|
NumberInputMode: "advanced" | "simple"
Sets or gets the spin mode.
Possible Values:
'advanced'- the value is increased depending on the caret's position
'simple'-pecifies that the spin behavior is disabled
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} spinButtons={true} spinMode={ 'simple'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
spinButtons
|
boolean
|
false
|
Shows or hides the spin buttons.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} spinButtons={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
spinButtonsWidth
|
number
|
18
|
Sets or gets the width of the spin buttons.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} spinButtons={true} spinButtonsWidth={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
spinButtonsStep
|
number | string
|
1
|
Sets or gets the increase/decrease step.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} spinButtons={true} spinButtonsStep={10} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
symbol
|
string
|
''
|
Sets or gets the string to use as currency or percentage symbol.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} symbol={ '$'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
symbolPosition
|
NumberInputSymbolPosition
|
'left'
|
NumberInputSymbolPosition: "left" | "right"
Sets or gets the position of the symbol in the input.
Possible Values:
'left'
'right'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} symbol={ '@'} symbolPosition={'right'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
textAlign
|
NumberInputTextAlign
|
'right'
|
NumberInputTextAlign: "left" | "right" | "center"
Sets or gets the alignment.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} textAlign={ 'left'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
template
|
NumberInputTemplate
|
'default'
|
NumberInputTemplate: "default" | "primary" | "success" | "warning" | "danger" | "info"
Determines the template as an alternative of the default styles.
Possible Values:
'default' - the default template. The style depends only on the "theme" property value.
'primary' - dark blue style for extra visual weight.
'success' - green style for successful or positive action.
'warning' - orange style which indicates caution.
'danger' - red style which indicates a dangerous or negative action.
'info' - blue button, not tied to a semantic action or use.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} spinButtons={true} template={ 'success'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} theme={ 'material'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
value
|
number | string
|
null
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} value={100} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
null
|
Sets or gets the width of the input in pixels. Only positive values have effect.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} width={250} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
change
|
Event
|
|
This event is triggered when the value is changed and the control's focus is lost.
Code examples
Bind to the change event of jqxNumberInput.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} onChange={this.onChange} /> ); } private onChange(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
textchanged
|
Event
|
|
This event is triggered when the user entered entered a text.
Code examples
Bind to the textchanged event of jqxNumberInput.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} onTextchanged={this.onTextchanged} /> ); } private onTextchanged(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
valueChanged
|
Event
|
|
This event is triggered after value is changed.
Code examples
Bind to the valueChanged event of jqxNumberInput.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public render() { return ( <JqxNumberInput ref={this.myNumberInput} onValueChanged={this.onValueChanged} /> ); } private onValueChanged(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
clear
|
None
|
|
Clears the value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public componentDidMount(): void { this.myNumberInput.current!.clear(); } public render() { return ( <JqxNumberInput ref={this.myNumberInput} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
destroy
|
None
|
|
Destroys the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public componentDidMount(): void { this.myNumberInput.current!.destroy(); } public render() { return ( <JqxNumberInput ref={this.myNumberInput} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
focus
|
None
|
|
Focuses the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public componentDidMount(): void { this.myNumberInput.current!.focus(); } public render() { return ( <JqxNumberInput ref={this.myNumberInput} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getDecimal
|
None
|
|
Gets the value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public componentDidMount(): void { this.myNumberInput.current!.getDecimal(); } public render() { return ( <JqxNumberInput ref={this.myNumberInput} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setDecimal
|
index
|
|
Sets the value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public componentDidMount(): void { this.myNumberInput.current!.setDecimal(200); } public render() { return ( <JqxNumberInput ref={this.myNumberInput} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
val
|
value
|
|
Sets or gets the value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNumberInput, { INumberInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnumberinput'; class App extends React.PureComponent<{}, INumberInputProps> { private myNumberInput = React.createRef<JqxNumberInput>(); public componentDidMount(): void { this.myNumberInput.current!.val(); } public render() { return ( <JqxNumberInput ref={this.myNumberInput} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|

Name | Type | Default |
allowNull
|
Boolean
|
true
|
Sets or gets the allowNull property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [allowNull]="true"> </jqxNumberInput> `}) export class AppComponent {
|
decimal
|
String | Number
|
0
|
Sets or gets the decimal property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [decimal]="2"> </jqxNumberInput> `}) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [disabled]="true"> </jqxNumberInput> `}) export class AppComponent {
|
decimalDigits
|
String | Number
|
2
|
Sets or gets the decimalDigits property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [decimalDigits]="3"> </jqxNumberInput> `}) export class AppComponent {
|
decimalSeparator
|
String | Number
|
'.'
|
Sets or gets the decimalSeparator property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [decimalSeparator]=","> </jqxNumberInput> `}) export class AppComponent {
|
digits
|
String | Number
|
8
|
Sets or gets the digits property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [digits]="8"> </jqxNumberInput> `}) export class AppComponent {
|
groupSeparator
|
String
|
','
|
Sets or gets the groupSeparator property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [groupSeparator]="."> </jqxNumberInput> `}) export class AppComponent {
|
groupSize
|
String | Number
|
3
|
Sets or gets the groupSize property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [groupSize]="2"> </jqxNumberInput> `}) export class AppComponent {
|
height
|
String | Number
|
null
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25"> </jqxNumberInput> `}) export class AppComponent {
|
inputMode
|
enum:NumberInputMode
|
'advanced'
|
enum NumberInputMode { advanced, simple } Sets or gets the inputMode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [inputMode]="'simple'"> </jqxNumberInput> `}) export class AppComponent {
|
min
|
String | Number
|
-99999999
|
Sets or gets the min property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [min]="2"> </jqxNumberInput> `}) export class AppComponent {
|
max
|
String | Number
|
99999999
|
Sets or gets the max property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [max]="50"> </jqxNumberInput> `}) export class AppComponent {
|
negativeSymbol
|
String
|
'-'
|
Sets or gets the negativeSymbol property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [negativeSymbol]="-"> </jqxNumberInput> `}) export class AppComponent {
|
placeHolder
|
String | Number
|
""
|
Sets or gets the placeHolder property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [placeHolder]="'Null Value'"> </jqxNumberInput> `}) export class AppComponent {
|
promptChar
|
enum:NumberInputPromptChar
|
-
|
enum NumberInputPromptChar { _, ?, ;, # } Sets or gets the promptChar property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [promptChar]="#"> </jqxNumberInput> `}) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [rtl]="true"> </jqxNumberInput> `}) export class AppComponent {
|
readOnly
|
Boolean
|
false
|
Sets or gets the readOnly property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [readOnly]="true"> </jqxNumberInput> `}) export class AppComponent {
|
spinMode
|
enum:NumberInputMode
|
'advanced'
|
enum NumberInputMode { advanced, simple } Sets or gets the spinMode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [spinMode]="'advanced'"> </jqxNumberInput> `}) export class AppComponent {
|
spinButtons
|
Boolean
|
false
|
Sets or gets the spinButtons property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [spinButtons]="true"> </jqxNumberInput> `}) export class AppComponent {
|
spinButtonsWidth
|
Number
|
18
|
Sets or gets the spinButtonsWidth property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [spinButtons]="true" [spinButtonsWidth]="30"> </jqxNumberInput> `}) export class AppComponent {
|
spinButtonsStep
|
String | Number
|
1
|
Sets or gets the spinButtonsStep property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [spinButtons]="true" [spinButtonsStep]="10"> </jqxNumberInput> `}) export class AppComponent {
|
symbol
|
String
|
''
|
Sets or gets the symbol property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [symbol]="$"> </jqxNumberInput> `}) export class AppComponent {
|
symbolPosition
|
enum:NumberInputSymbolPosition
|
'left'
|
enum NumberInputSymbolPosition { left, right } Sets or gets the symbolPosition property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [symbol]="$" [symbolPosition]="'right'"> </jqxNumberInput> `}) export class AppComponent {
|
textAlign
|
enum:NumberInputTextAlign
|
'right'
|
enum NumberInputTextAlign { left, right, center } Sets or gets the textAlign property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [textAlign]="'right'"> </jqxNumberInput> `}) export class AppComponent {
|
template
|
enum:NumberInputTemplate
|
'default'
|
enum NumberInputTemplate { default, primary, success, warning, danger, info } Sets or gets the template property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [template]="'success'"> </jqxNumberInput> `}) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [theme]="'energyblue'"> </jqxNumberInput> `}) export class AppComponent {
|
value
|
String | Number
|
null
|
Sets or gets the value property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25" [value]="100"> </jqxNumberInput> `}) export class AppComponent {
|
width
|
String | Number
|
null
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25"> </jqxNumberInput> `}) export class AppComponent {
|
|
change
|
Event
|
|
This event is triggered when the value is changed and the control's focus is lost.
Code examples
Bind to the change event of jqxNumberInput.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput (onChange)="Change($event)" [width]="250" [height]="25"> </jqxNumberInput> `}) export class AppComponent {
|
textchanged
|
Event
|
|
This event is triggered when the user entered entered a text.
Code examples
Bind to the textchanged event of jqxNumberInput.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput (onTextchanged)="Textchanged($event)" [width]="250" [height]="25"> </jqxNumberInput> `}) export class AppComponent { Textchanged(event: any): void
|
valueChanged
|
Event
|
|
This event is triggered after value is changed.
Code examples
Bind to the valueChanged event of jqxNumberInput.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput (onValueChanged)="ValueChanged($event)" [width]="250" [height]="25"> </jqxNumberInput> `}) export class AppComponent { ValueChanged(event: any): void
|
|
Name | Return Type | Arguments |
clear
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25"> </jqxNumberInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myNumberInput') myNumberInput: jqxNumberInputComponent; ngAfterViewInit(): void { this.myNumberInput.clear();
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25"> </jqxNumberInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myNumberInput') myNumberInput: jqxNumberInputComponent; ngAfterViewInit(): void { this.myNumberInput.destroy();
|
focus
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25"> </jqxNumberInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myNumberInput') myNumberInput: jqxNumberInputComponent; ngAfterViewInit(): void { this.myNumberInput.focus();
|
getDecimal
|
Number
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25"> </jqxNumberInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myNumberInput') myNumberInput: jqxNumberInputComponent; ngAfterViewInit(): void { let value = this.myNumberInput.getDecimal();
|
setDecimal
|
Void
|
index: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25"> </jqxNumberInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myNumberInput') myNumberInput: jqxNumberInputComponent; ngAfterViewInit(): void { this.myNumberInput.setDecimal(1);
|
val
|
Number
|
value: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNumberInput #myNumberInput [width]="250" [height]="25"> </jqxNumberInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myNumberInput') myNumberInput: jqxNumberInputComponent; ngAfterViewInit(): void { let value = this.myNumberInput.val(12);
|